APIリファレンス運営会社の支払記録

運営会社の支払記録

支払予定・支払済みの記録と明細を取得する

GET/v1/settlements

支払予定・支払記録を一覧で取得する

この事業の保存記録を返します。amountは記録された金額、paymentDateは未払いの場合は予定日、支払済みの場合は記録された支払日です。状態だけで銀行や決済事業者の着金を保証するものではありません。APIの取得で支払い・承認・送信は行いません。

クエリ

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

  • statusenum
    unpaidpaidrefunded

返る項目data の中身 · 200

  • idstring
  • amountinteger
  • currencystring
  • statusenum
    unpaidpaidrefunded
  • counterpartyNamestring | null
  • paymentDatestring (date-time) | null
  • expensesOccurredDatestring (date-time) | null
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • orderIdstring | null
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

GET/v1/settlements
curl https://tooon.app/api/v1/settlements \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "id": "clx8k2m0a0001",
      "amount": 100000,
      "currency": "JPY",
      "status": "unpaid",
      "counterpartyName": "…",
      "paymentDate": "2026-11-01T09:00:00.000Z",
      "expensesOccurredDate": "2026-11-01T09:00:00.000Z",
      "isIncludingTax": false,
      "taxRoundingMethod": "floor",
      "orderId": "clx8k2m0a0001",
      "createdAt": "2026-11-01T09:00:00.000Z",
      "updatedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
GET/v1/settlements/{id}

支払予定・支払記録を取得する

この事業が閲覧できる保存記録だけを返します。明細はlinesで取得します。口座情報・決済事業者の識別子・添付書類の秘密URLは含めません。

パスの値

  • idstring必須

    100文字まで

返る項目data の中身 · 200

  • idstring
  • amountinteger
  • currencystring
  • statusenum
    unpaidpaidrefunded
  • counterpartyNamestring | null
  • paymentDatestring (date-time) | null
  • expensesOccurredDatestring (date-time) | null
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • orderIdstring | null
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/settlements/{id}
curl https://tooon.app/api/v1/settlements/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "amount": 100000,
    "currency": "JPY",
    "status": "unpaid",
    "counterpartyName": "…",
    "paymentDate": "2026-11-01T09:00:00.000Z",
    "expensesOccurredDate": "2026-11-01T09:00:00.000Z",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "orderId": "clx8k2m0a0001",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/settlements/{id}/lines

支払記録の明細を取得する

保存された明細を最大100件ずつ返します。明細の並びはID順です。取得時に再計算・状態変更は行いません。

パスの値

  • idstring必須

    100文字まで

クエリ

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • idstring
  • namestring
  • quantitynumber
  • unitstring | null
  • unitPriceinteger
  • taxRateinteger
  • isWithholdingTaxboolean

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/{id}/lines
curl https://tooon.app/api/v1/settlements/clx8k2m0a0001/lines \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "id": "clx8k2m0a0001",
      "name": "山田 太郎",
      "quantity": 1,
      "unit": "式",
      "unitPrice": 100000,
      "taxRate": 10,
      "isWithholdingTax": false
    }
  ],
  "nextCursor": null
}